/*
 * Win32 compatible
 */

#ifndef _WIN32COMPAT
#define _WIN32COMPAT

#include <windows.h>
#include <time.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdint.h>
#include <sys/param.h>

typedef unsigned long long int u_int64_t;
typedef unsigned int           u_int32_t;
typedef unsigned short         u_int16_t;
typedef unsigned char          u_int8_t;
typedef unsigned int           u_int;
typedef unsigned char          u_char;

/* <sys/param.h> macros */
#ifndef MIN
#define MIN(a,b) (((a)<(b))?(a):(b))
#endif
#ifndef MAX
#define MAX(a,b) (((a)>(b))?(a):(b))
#endif

/* proto type */
extern char *strsep(char **, const char *);
extern int b64_ntop (u_char const *, size_t, char *, size_t);
#endif
